Loading...
Searching...
No Matches
CxxTest::GlobalFixture Class Reference

`#include <GlobalFixture.h>`

## Public Member Functions

virtual bool | setUpWorld ()
virtual bool | tearDownWorld ()
virtual bool | setUp ()
virtual bool | tearDown ()
| GlobalFixture ()
| ~GlobalFixture ()
GlobalFixture * | nextGlobalFixture ()
GlobalFixture * | prevGlobalFixture ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Static Public Member Functions

static GlobalFixture * | firstGlobalFixture ()
static GlobalFixture * | lastGlobalFixture ()

## Static Private Attributes

static List | _list = { 0, 0 }

## Detailed Description

Definition at line 8 of file GlobalFixture.h.

## Constructor & Destructor Documentation

## GlobalFixture()

CxxTest::GlobalFixture::GlobalFixture | ( |  | ) |

Definition at line 13 of file GlobalFixture.cpp.

{ attach( _list ); }
CxxTest::GlobalFixture::_list
static List _list
Definition GlobalFixture.h:25
CxxTest::Link::attach
void attach(List &l)
Definition LinkedList.cpp:145

## ~GlobalFixture()

CxxTest::GlobalFixture::~GlobalFixture | ( |  | ) |

Definition at line 14 of file GlobalFixture.cpp.

{ detach( _list ); }
CxxTest::Link::detach
void detach(List &l)
Definition LinkedList.cpp:158

## Member Function Documentation

## firstGlobalFixture()

GlobalFixture * CxxTest::GlobalFixture::firstGlobalFixture | ( |  | ) |

static

Definition at line 16 of file GlobalFixture.cpp.

{ return (GlobalFixture *)_list.head(); }
CxxTest::GlobalFixture::GlobalFixture
GlobalFixture()
Definition GlobalFixture.cpp:13

## lastGlobalFixture()

GlobalFixture * CxxTest::GlobalFixture::lastGlobalFixture | ( |  | ) |

static

Definition at line 17 of file GlobalFixture.cpp.

{ return (GlobalFixture *)_list.tail(); }

## nextGlobalFixture()

GlobalFixture * CxxTest::GlobalFixture::nextGlobalFixture | ( |  | ) |

Definition at line 18 of file GlobalFixture.cpp.

{ return (GlobalFixture *)next(); }
CxxTest::Link::next
Link * next()
Definition LinkedList.cpp:113

## prevGlobalFixture()

GlobalFixture * CxxTest::GlobalFixture::prevGlobalFixture | ( |  | ) |

Definition at line 19 of file GlobalFixture.cpp.

{ return (GlobalFixture *)prev(); }
CxxTest::Link::prev
Link * prev()
Definition LinkedList.cpp:121

## setUp()

bool CxxTest::GlobalFixture::setUp | ( |  | ) |

virtual

Implements CxxTest::Link.

Reimplemented in GlobalPrintingFixture.

Definition at line 10 of file GlobalFixture.cpp.

{ return true; }

## setUpWorld()

bool CxxTest::GlobalFixture::setUpWorld | ( |  | ) |

virtual

Reimplemented in GlobalPrintingFixture, MyGlobalPrintingFixture, and MyGlobalPrintingFixture.

Definition at line 8 of file GlobalFixture.cpp.

{ return true; }

## tearDown()

bool CxxTest::GlobalFixture::tearDown | ( |  | ) |

virtual

Implements CxxTest::Link.

Reimplemented in GlobalPrintingFixture.

Definition at line 11 of file GlobalFixture.cpp.

{ return true; }

## tearDownWorld()

bool CxxTest::GlobalFixture::tearDownWorld | ( |  | ) |

virtual

Reimplemented in GlobalPrintingFixture.

Definition at line 9 of file GlobalFixture.cpp.

{ return true; }

## Field Documentation

## _list

List CxxTest::GlobalFixture::_list = { 0, 0 }

static private

Definition at line 25 of file GlobalFixture.h.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/GlobalFixture.h
- libpolys/tests/cxxtest/GlobalFixture.cpp
- libpolys/tests/cxxtest/LinkedList.cpp